Security Enhanced Linux Reference Policy

# Layer: apps

## Module: qemu

Tunables Interfaces Templates

### Description:

QEMU machine emulator and virtualizer

### Tunables:

qemu_full_network

##### Default value

false

##### Description

Allow qemu to connect fully to the network

Return

### Interfaces:

qemu_domtrans( domain )

##### Summary

Execute a domain transition to run qemu.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qemu_domtrans_unconfined( domain )

##### Summary

Execute a domain transition to run qemu unconfined.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

qemu_kill( domain )

##### Summary

Send a sigill to qemu

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

qemu_read_state( domain )

##### Summary

Allow the domain to read state files in /proc.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to allow access.

qemu_run( domain , role )

##### Summary

Execute qemu in the qemu domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to allow the qemu domain.

qemu_signal( domain )

##### Summary

Send a signal to qemu.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

qemu_domain_template( prefix )

##### Summary

Creates types and rules for a basic qemu process domain.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Prefix for the domain.

Return